import React from 'react'
import { Animated, PanResponder, StyleSheet, View, TouchableOpacity, Text, TouchableWithoutFeedback} from 'react-native'
import { Colors, Images, Metrics } from '../Themes'

let CIRCLE_RADIUS = 25;

export default class SecondFormation extends React.Component {
  state = {
    pressed: false,
    pan: new Animated.ValueXY(),
    name: '',
    index: 2
  };
  constructor(props) {
    super(props);
  }



  press = () => {
    this.props.setSecondPress(this.props.index);
    let current = this.state.pressed;
    this.setState({pressed: !current});
  }

  render() {
    return (
      <View style={{ width: "20%", alignItems: "center" }}>
        {this.renderDancer()}
      </View>
    );
  }

  renderDancer() {
    /*const panStyle = {
      transform: this.state.pan.getTranslateTransform()
    }*/

    return (
      <View style={{ position: "absolute" }} >
        {/*<Animated.View
          {...this.panResponder.panHandlers}*/}
        {/*<RadialGradient style={{width:CIRCLE_RADIUS *2,height:CIRCLE_RADIUS*2}}
                        colors={[Colors.darkGradient, 'white']}
                        stops={[0.1,0.4,0.3,0.75]}
                        center={[100,100]}
                        radius={CIRCLE_RADIUS}>*/}
          <TouchableOpacity
            style={[/*panStyle,*/ styles.secondFormation, {position: 'absolute', start: this.props.x, top: this.props.y}]}
            onPress = {this.press.bind()}
            activeOpacity = {.9}
            >
            <Text style = {{fontSize: 22, color: 'black'}}> {this.props.name} </Text>
          </TouchableOpacity>
        {/*</RadialGradient>*/}
       {/* />*/}
      </View>
    );
  }
}

const styles = StyleSheet.create({
  secondFormation: {
    backgroundColor: Colors.darkGradient,
    width: CIRCLE_RADIUS * 2,
    height: CIRCLE_RADIUS * 2,
    borderRadius: CIRCLE_RADIUS
  }
});
