import React from 'react'
import { Animated, PanResponder, StyleSheet, View } from 'react-native'
import { Dancer }  from '.'

let CIRCLE_RADIUS = 30;

/*const dancerList = (dancer) => {
  const dancers = [];
  if (dancer !== null) {
    dancers.push(dancer);
  }
  return (
    dancers
  );
}*/

/*var dancerA = [
      {"name": "thing"},
      {"xVal" : 150},
      {"yVal" : 150},
];

var dancers = [ dancerA ];*/

var dancers = [
  {
    name: "",
    xVal: 0,
    yVal: 0,
    set: false,
  },
  {
    name: "",
    xVal: 0,
    yVal: 0,
    set: false,
  },
  {
    name: "",
    xVal: 0,
    yVal: 0,
    set: false,
  },
  {
    name: "",
    xVal: 0,
    yVal: 0,
    set: false,
  },
  {
    name: "",
    xVal: 0,
    yVal: 0,
    set: false,
  },
]

export default class Stage extends React.Component {
  state = {
    pan: new Animated.ValueXY(),
    dancerList: dancers,
    index: 0,
    //opacity: new Animated.Value(1),
  };
  constructor(props) {
    super(props);
    this._val = {x:0, y:0};
    this.state.pan.addListener((value) => this._val = value);

    //this.addDancer();

    this.dancer = [
      {"name": ""},
      {"xVal" : 0},
      {"yVal" : 0},
    ];

    this.state.formations = this.props.formations;


    this.panResponder = PanResponder.create({

      onStartShouldSetPanResponder: (e, gesture) => true,
      onPanResponderGrant: (e,gesture) => {
        {this.dancer.xVal = this._val.x}
        {this.dancer.yVal = this._val.y}
       /* let dancer = {
          name: "",
          xVal: this._val.x,
          yVal: this._val.
        }*/


        this.state.pan.setOffset({
          x: this._val.x,
          y: this._val.y,
        })
        this.state.pan.setValue({x:0, y:0})

      }, /*,
      onPanResponderRelease: (e, gesture) => {
        if (this.isTrashArea(gesture)) {
          Animated.timing(
            this.state.opacity,
            {
              toValue: 0
            }
          ).start(() => {
            this.setState({showDancer: false})
          })
        }
        this.props.change(false)
        }
*/

    });
};



  render() {
    return (
      <View style = {styles.touchableSection}>
        {this.renderDancers()}
      </View>
    );
  }


  renderDancers() {
/*
    const panStyle = {
      transform: this.state.pan.getTranslateTransform()
    }
*/
    return(
      /*this.state.dancerList.map((item, index) => (
        return (<Dancer update = {this.updateDancer.bind()} changeStage = {this.props.change.bind()} index = {index} x = {item.xVal} y = {item.yVal}/>)
      ))*/
      <View style = {{flex: 1}}>
       <Dancer changeStage = {this.props.change.bind()} x = {200} y = {75}/>
       <Dancer changeStage = {this.props.change.bind()} x = {300} y = {75}/>
       <Dancer changeStage = {this.props.change.bind()} x = {150} y = {175}/>
       <Dancer changeStage = {this.props.change.bind()} x = {250} y = {175}/>
       <Dancer changeStage = {this.props.change.bind()} x = {350} y = {175}/>
      </View>



    /*if (this.state.showDancer) {
      return (
        <View style={{ position: "absolute" }}>
          <Animated.View
            {...this.panResponder.panHandlers}
            style={[panStyle, styles.circle, {opacity:this.state.opacity}]}
          />
        </View>
      );
      /*{dancerList().map((item, key) => (
          <View key = {key}> {item} </View>)
        )}*/
    );
  }
}

const styles = StyleSheet.create({
  circle: {
    backgroundColor: "skyblue",
    width: CIRCLE_RADIUS * 2,
    height: CIRCLE_RADIUS * 2,
    borderRadius: CIRCLE_RADIUS
  },
  touchableSection: {
    flex: 1,/*
    justifyContent: 'center',
    alignItems: 'center',*/
    width: '100%',
    //backgroundColor: 'red'
  }
});
